Loading...
Searching...
No Matches
GeneralFileReader.h File Reference
`#include <RDGeneral/BadFileException.h>`
`#include <RDStreams/streams.h>`
`#include <boost/algorithm/string.hpp>`
`#include <memory>`
`#include <string>`
`#include <vector>`
`#include "MolSupplier.h"`
`#include "MultithreadedSDMolSupplier.h"`
`#include "MultithreadedSmilesMolSupplier.h"`

Go to the source code of this file.

## Classes

struct | RDKit::GeneralMolSupplier::SupplierOptions

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::GeneralMolSupplier

## Functions

void | RDKit::GeneralMolSupplier::determineFormat (const std::string path, std::string &fileFormat, std::string &compressionFormat)
std::unique_ptr< FileParsers::MolSupplier > | RDKit::GeneralMolSupplier::getSupplier (const std::string &path, const struct SupplierOptions &opt)

## Variables

const std::vector< std::string > | RDKit::GeneralMolSupplier::supportedFileFormats
| current supported file formats
const std::vector< std::string > | RDKit::GeneralMolSupplier::supportedCompressionFormats {"gz"}
| current supported compression formats